Bug 872819 - RESTAPI: RSDL does not document lun-based disks parameters for add()
RESTAPI: RSDL does not document lun-based disks parameters for add()
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: 3.2.0
Assigned To: Ori Liel
Jakub Libosvar
infra
: ZStream
Depends On: 903219
Blocks: 881059 915537
  Show dependency treegraph
 
Reported: 2012-11-03 10:33 EDT by Michael Pasternak
Modified: 2016-02-10 14:05 EST (History)
9 users (show)

See Also:
Fixed In Version: SF3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 881059 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Pasternak 2012-11-03 10:33:15 EDT
Description of problem:

context
=======

POST /api/disks
POST /api/vms/xxx/disks

["address", "target", "port", "id"] should be documented as LUN element
mandatory params for CREATE operations.
Comment 1 Ori Liel 2012-11-05 04:18:21 EST
patch posted upstream: 
  http://gerrit.ovirt.org/#/c/9021/
Comment 2 Ori Liel 2012-11-05 08:33:58 EST
patch merged upstream: 
   commit 66142eff96e181086754e6e35a9a418c095c8085

patch posted downstream: 
   https://gerrit.eng.lab.tlv.redhat.com/#/c/3096/
Comment 5 Ori Liel 2012-12-10 02:27:11 EST
patch upstream: 
   http://gerrit.ovirt.org/#/c/9034/
Comment 6 Jakub Libosvar 2013-01-24 09:53:12 EST
Verified rhevm-restapi-3.2.0-5.el6ev.noarch
Comment 7 Itamar Heim 2013-06-11 05:07:29 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 05:07:32 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:07:32 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 05:36:11 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.